Page MenuHomePhabricator

Make ContentHandler search fields reusable across content models
Closed, ResolvedPublic

Description

Some search fields are used in multiple content models.

e.g. it looks like ProofreadPage has categories, and wikibase has external + outgoing links

Right now, the definitions for these fields are specific to wikitext content model and code would have to be duplicated in multiple places.

This code could be factored out and be made available for use in other content models, to avoid duplication and help ensure consistency.

Event Timeline

aude created this task.Aug 9 2016, 3:59 PM
Restricted Application added projects: Discovery, Discovery-Search. · View Herald TranscriptAug 9 2016, 3:59 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
debt assigned this task to Smalyshev.Aug 11 2016, 4:54 PM
debt edited projects, added Discovery-Search (Current work); removed Discovery-Search.
debt added a subscriber: debt.

looks like this is related to this ticket as well: T142670

aude added a comment.Aug 11 2016, 4:57 PM

looks like this is related to this ticket as well: T142670

T142670 is just something i noticed when looking at the code

debt triaged this task as Normal priority.Aug 11 2016, 5:12 PM

Change 303838 merged by jenkins-bot:
Extract ParserOutput search index data fields from WikiTextContentHandler

https://gerrit.wikimedia.org/r/303838

Smalyshev closed this task as Resolved.Aug 19 2016, 8:17 PM